Summary:  Prelude Hybrid Intrusion Detection System Library
Name:     libprelude
Version:  0.8.8
Release:  alt2
License:  GPL
Group:    System/Libraries
Source:	  http://www.prelude-ids.org/download/releases/%name-%version.tar.gz
#Patch1:	  %name-configure.patch
URL:      http://www.prelude-ids.org/
Requires: libssl

# Automatically added by buildreq on Wed Nov 05 2003
BuildRequires: docbook-dtds docbook-style-dsssl gtk-doc libOpenSP libssl-devel openjade sgml-common sgmltools-lite

%description
The Prelude Library is a collection of generic functions providing
communication between the Prelude Hybrid IDS suite components. It
provides a convenient interface for sending alerts to Prelude Manager
with transparent SSL, failover and replication support, asynchronous
events and timer interfaces, an abstracted configuration API (hooking
at the commandline, the configuration line, or wide configuration,
available from the Manager), and a generic plugin API. It allows you
to easily turn your favorite security program into a Prelude sensor.

%description -l ru_RU.KOI8-R
 Prelude    , 
   Prelude Hybrid IDS.  
     Prelude 
SSL,    ,   
 ,   API   API 
.       
   Prelude.

%description -l uk_UA.KOI8-U
̦ Prelude ͦ æ Ц æ,  
Φæ ͦ  Prelude Hybrid IDS.  դ
     Prelude 
SSL, צԦ˦  Ц ̦æ, Φ Ħ 
 ,  Ʀæ API   API
 .       
   Prelude.

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: libssl-devel

%package devel-static
Summary: Static libraries to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: %name-devel
Requires: libssl-devel glibc-devel-static

%description devel
Libraries, include files, etc you can use to develop Prelude IDS sensors using
the Prelude Library. The Prelude Library is a collection of generic functions
providing communication between the Prelude Hybrid IDS suite componentst
It provides a convenient interface for sending alerts to Prelude Manager with
transparent SSL, failover and replication support, asynchronous events and
timer interfaces, an abstracted configuration API (hooking at the commandline,
the configuration line, or wide configuration, available from the Manager), and
a generic plugin API. It allows you to easily turn your favorite security
program into a Prelude sensor.

%description -l ru_RU.KOI8-R devel
,    .    
  Prelude IDS.  Prelude  
 ,     Prelude
Hybrid IDS.      
 Prelude  SSL,   
,     , 
 API   API  .   
       Prelude.

%description -l uk_UA.KOI8-U devel
̦,  ˦  .    
 ˦ Prelude IDS. ̦ Prelude ͦ æ
Ц æ,   Φæ ͦ  Prelude
Hybrid IDS.  դ    
 Prelude  SSL, צԦ˦  Ц
̦æ, Φ Ħ   , 
Ʀæ API   API  .   
       Prelude.

%description devel-static
Libraries, include files, etc you can use to develop Prelude IDS sensors using
the Prelude Library. The Prelude Library is a collection of generic functions
providing communication between the Prelude Hybrid IDS suite componentst
It provides a convenient interface for sending alerts to Prelude Manager with
transparent SSL, failover and replication support, asynchronous events and
timer interfaces, an abstracted configuration API (hooking at the commandline,
the configuration line, or wide configuration, available from the Manager), and
a generic plugin API. It allows you to easily turn your favorite security
program into a Prelude sensor.

This package contains the static Libprelude library required to develop.

%description -l ru_RU.KOI8-R devel-static
,    .    
  Prelude IDS.  Prelude  
 ,     Prelude
Hybrid IDS.      
 Prelude  SSL,   
,     , 
 API   API  .   
       Prelude.

       Prelude, 
 .

%description -l uk_UA.KOI8-U devel-static
̦,  ˦  .    
 ˦ Prelude IDS. ̦ Prelude ͦ æ
Ц æ,   Φæ ͦ  Prelude
Hybrid IDS.  դ    
 Prelude  SSL, צԦ˦  Ц
̦æ, Φ Ħ   , 
Ʀæ API   API  .   
       Prelude.

  ͦ  ¦ Φ ¦̦ Prelude, ȦΦ 
.

%prep
%setup -q
#%patch1 -p1

%build
%configure \
	--localstatedir=%_var \
	--sysconfdir=%_sysconfdir/prelude \
	--prefix=%_usr \
	--enable-openssl \
	--enable-gtk-doc
%make

%install
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
pushd $RPM_BUILD_ROOT/%_usr/%name/include
%__cp config.h $RPM_BUILD_ROOT/%_includedir/%name/
popd

%post
%post_ldconfig

%postun
%postun_ldconfig

%post devel-static
%post_ldconfig

%postun devel-static
%postun_ldconfig

%files
%doc AUTHORS ChangeLog README INSTALL
%_bindir/sensor-adduser
%_libdir/%name.so.*
%config(noreplace) %_sysconfdir/prelude/prelude-sensors/*
%dir %_var/spool/prelude-sensors
%dir %_sysconfdir/prelude

%files devel
%_bindir/%name-config
%_libdir/%name.so
%_includedir/%name/*.h
%_datadir/gtk-doc/html/%name

%files devel-static
%_libdir/*.la*

%changelog
* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt2
- Minor fixes: %name.so transposed to devel package

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt1
- New release

* Mon Nov 03 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.7-alt3
- Minor build fixes in spec

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.7-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.7-alt1
- New release

* Mon Jun 16 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt2
- Fixed dependence for directories in spec-file

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt1
- Initial build based on original .spec-file 
  by Sylvain GIL <prelude-packaging@tootella.org>
